Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction

From: martin rudalics <[email-masked]>
Date: Wed, 18 Jul 2018 09:01:03 +0200

> This patch (added on top of the previous one) should fix the frame size calculation.

Thanks.  The calculations are OK now.  It confirms my earlier claim
that here the menu bar size increases from 27 to 44 pixels so it
becomes exactly as high as the tool bar.

 > Still looking into whether there's a purely truncating solution.

I think your idea of using a container window is the way to go.  Now
suppose we used a non-scrolled container window to put the menu bar
in, get its size before updating the menu bar, update the menu bar and
make a gtk_widget_set_size request for that container window to
restore its previous size.  Would that fail and why?

martin